import _pt from "prop-types";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import DatepickerInput from 'react-date-picker/dist/entry.nostyle';
import { Icon } from '../Icon/Icon';

(function () {
  const styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/*\n* [STORYBOOK] Componente de Datepicker\n*/\n.datepicker-block {\n  display: inline-block;\n  position: relative; }\n  .datepicker-block input {\n    outline: 0;\n    padding: 0; }\n  .datepicker-block .datepicker-inner {\n    position: relative; }\n  .datepicker-block .datepicker-inner-label {\n    font-weight: 700;\n    font-size: 1rem;\n    line-height: 1.25rem;\n    margin: 0 0 0.625rem 0.3125rem; }\n  .datepicker-block .datepicker-icon {\n    position: absolute;\n    bottom: calc(50px - 38px);\n    right: 0;\n    color: #495057;\n    line-height: 1;\n    pointer-events: none;\n    padding-right: 0.875rem; }\n  .datepicker-block button {\n    outline: 0; }\n\n/**/\n.react-date-picker {\n  display: inline-flex;\n  position: relative; }\n\n.react-date-picker,\n.react-date-picker *,\n.react-date-picker *:before,\n.react-date-picker *:after {\n  -moz-box-sizing: border-box;\n  -webkit-box-sizing: border-box;\n  box-sizing: border-box; }\n\n.react-date-picker--disabled {\n  background-color: #f0f0f0;\n  color: #6d6d6d; }\n\n.react-date-picker__wrapper {\n  position: relative;\n  display: flex;\n  flex-grow: 1;\n  flex-shrink: 0;\n  border: 1px solid #495057;\n  border-radius: 0.625rem;\n  height: 3.125rem;\n  line-height: 1; }\n\n.react-date-picker__inputGroup {\n  flex-grow: 1;\n  padding: 0 2px;\n  box-sizing: content-box;\n  position: relative;\n  display: flex;\n  justify-content: flex-start;\n  align-items: center;\n  padding: 0 3.125rem 0 2.1875rem; }\n\n.react-date-picker__inputGroup__divider {\n  padding: 1px 0;\n  white-space: pre; }\n\n.react-date-picker__inputGroup__input {\n  min-width: 0.54em;\n  height: 100%;\n  position: relative;\n  padding: 0 1px;\n  border: 0;\n  background: none;\n  font: inherit;\n  box-sizing: content-box;\n  -moz-appearance: textfield; }\n\n.react-date-picker__inputGroup__input::-webkit-outer-spin-button,\n.react-date-picker__inputGroup__input::-webkit-inner-spin-button {\n  -webkit-appearance: none;\n  margin: 0; }\n\n.react-date-picker__inputGroup__input:invalid {\n  background-color: transparent; }\n\n.react-date-picker__inputGroup__input--hasLeadingZero {\n  margin-left: -0.54em;\n  padding-left: calc(1px + 0.54em); }\n\n.react-date-picker__button {\n  border: 0;\n  background: transparent;\n  padding: 4px 6px; }\n\n.react-date-picker__button:enabled {\n  cursor: pointer; }\n\n.react-date-picker__button:enabled:hover .react-date-picker__button__icon,\n.react-date-picker__button:enabled:focus .react-date-picker__button__icon {\n  stroke: #0078d7; }\n\n.react-date-picker__button:disabled .react-date-picker__button__icon {\n  stroke: #6d6d6d; }\n\n.react-date-picker__button svg {\n  display: inherit; }\n\n.react-date-picker__calendar {\n  width: 350px;\n  max-width: 100vw;\n  position: absolute;\n  top: 100%;\n  left: 0;\n  z-index: 1;\n  margin-top: 0.5rem; }\n  .react-date-picker__calendar::before {\n    display: none;\n    z-index: 1;\n    content: \"\";\n    position: absolute;\n    bottom: calc(100% - 1px);\n    margin-left: 10%;\n    width: 0;\n    height: 0;\n    border-style: solid;\n    border-width: 0 0.625rem 0.625rem 0.625rem;\n    border-color: transparent transparent #ccc transparent; }\n\n.react-date-picker__calendar--closed {\n  display: none; }\n\n.react-date-picker__calendar .react-calendar {\n  border-width: thin; }\n\n/* calendar */\n.react-calendar {\n  width: 350px;\n  max-width: 100%;\n  background: white;\n  border: 1px solid #a0a096;\n  font-family: Arial, Helvetica, sans-serif;\n  line-height: 1.125em;\n  border-radius: 0.625rem; }\n\n.react-calendar--doubleView {\n  width: 700px; }\n\n.react-calendar--doubleView .react-calendar__viewContainer {\n  display: flex;\n  margin: -0.5em; }\n\n.react-calendar--doubleView .react-calendar__viewContainer > * {\n  width: 50%;\n  margin: 0.5em; }\n\n.react-calendar,\n.react-calendar *,\n.react-calendar *:before,\n.react-calendar *:after {\n  -moz-box-sizing: border-box;\n  -webkit-box-sizing: border-box;\n  box-sizing: border-box; }\n\n.react-calendar button {\n  margin: 0;\n  border: 0;\n  outline: none; }\n\n.react-calendar button:enabled:hover {\n  cursor: pointer; }\n\n.react-calendar__navigation {\n  height: 44px;\n  margin-bottom: 0.625rem; }\n\n.react-calendar__navigation button {\n  min-width: 44px;\n  background: none; }\n  .react-calendar__navigation button:first-child {\n    border-top-left-radius: 0.625rem; }\n  .react-calendar__navigation button:last-child {\n    border-top-right-radius: 0.625rem; }\n\n.react-calendar__navigation button:enabled:hover,\n.react-calendar__navigation button:enabled:focus {\n  background-color: #e6e6e6; }\n\n.react-calendar__navigation button[disabled] {\n  background-color: #f0f0f0; }\n\n.react-calendar__month-view__weekdays {\n  text-align: center;\n  text-transform: uppercase;\n  font-weight: bold;\n  font-size: 0.75em; }\n  .react-calendar__month-view__weekdays abbr {\n    text-decoration: none;\n    font-size: 0.875rem; }\n\n.react-calendar__month-view__weekdays__weekday {\n  padding: 0.5em; }\n\n.react-calendar__month-view__weekNumbers {\n  font-weight: bold; }\n\n.react-calendar__month-view__weekNumbers .react-calendar__tile {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  font-size: 0.75em;\n  padding: calc(0.75em / 0.75) calc(0.5em / 0.75); }\n\n.react-calendar__month-view__days__day--weekend {\n  color: #d10000; }\n\n.react-calendar__month-view__days__day--neighboringMonth {\n  color: #757575; }\n\n.react-calendar__year-view .react-calendar__tile,\n.react-calendar__decade-view .react-calendar__tile,\n.react-calendar__century-view .react-calendar__tile {\n  padding: 0.9375rem;\n  border-radius: 0.625rem; }\n\n.react-calendar__tile {\n  max-width: 100%;\n  text-align: center;\n  padding: 0.9375rem;\n  background: none;\n  border-radius: 50%;\n  line-height: 1; }\n\n.react-calendar__tile:disabled {\n  background-color: #f0f0f0; }\n\n.react-calendar__tile:enabled:hover,\n.react-calendar__tile:enabled:focus {\n  background-color: #e6e6e6; }\n\n.react-calendar__tile--now {\n  background: #ffff76; }\n\n.react-calendar__tile--now:enabled:hover,\n.react-calendar__tile--now:enabled:focus {\n  background: #ffffa9; }\n\n.react-calendar__tile--hasActive {\n  background: #ffacc5;\n  color: white; }\n\n.react-calendar__tile--hasActive:enabled:hover,\n.react-calendar__tile--hasActive:enabled:focus {\n  background: #ff90b2; }\n\n.react-calendar__tile--active {\n  background: #ff90b2;\n  color: white; }\n\n.react-calendar__tile--active:enabled:hover,\n.react-calendar__tile--active:enabled:focus {\n  background: #ffacc5; }\n\n.react-calendar--selectRange .react-calendar__tile--hover {\n  background-color: #e6e6e6; }\n";
  const fileName = "Datepicker_Datepicker";
  const element = document.querySelector("style[data-sass-component='Datepicker_Datepicker']");

  if (!element) {
    const styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/**
 * Datepicker component -
 * User guide
 * https://github.com/wojtekmaj/react-date-picker
 */
export const Datepicker = (_ref) => {
  let {
    label
  } = _ref,
      props = _objectWithoutProperties(_ref, ["label"]);

  return /*#__PURE__*/React.createElement("div", {
    className: "datepicker-block"
  }, label && /*#__PURE__*/React.createElement("div", {
    className: "datepicker-inner-label"
  }, label), /*#__PURE__*/React.createElement(DatepickerInput, _extends({
    locale: "pt-BR",
    clearIcon: null,
    calendarIcon: null
  }, props)), /*#__PURE__*/React.createElement("div", {
    className: "datepicker-icon"
  }, /*#__PURE__*/React.createElement(Icon, {
    color: "inherit",
    name: "BsCalendar",
    size: "20px"
  })));
};
Datepicker.propTypes = {
  label: _pt.string
};
//# sourceMappingURL=Datepicker.js.map