import React from 'react'; // also exported from '@storybook/react' if you can deal with breaking changes in 6.1

import { NotificationModal } from './NotificationModal';
import modalImage from './modalImage.jpg';
export default {
  title: 'Components/Notification Modal',
  component: NotificationModal
};

const Template = args => /*#__PURE__*/React.createElement(NotificationModal, args);

export const Default = Template.bind({});
Default.args = {
  image: modalImage,
  message: 'Esqueceu sua senha? A gente te ajuda!',
  visible: true
};
//# sourceMappingURL=index.stories.js.map