"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Large = exports.Medium = exports.Small = exports.WithIcon = exports.Reverse = exports.Default = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Button = require("./Button");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  title: 'Components/Button',
  component: _Button.Button,
  argTypes: {
    backgroundColor: {
      control: 'color'
    }
  }
};
exports.default = _default;

var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_Button.Button, args);
};

var Default = Template.bind({});
exports.Default = Default;
Default.args = {
  label: 'Button'
};
var Reverse = Template.bind({});
exports.Reverse = Reverse;
Reverse.args = {
  reverse: true,
  label: 'Reverse'
};
var WithIcon = Template.bind({});
exports.WithIcon = WithIcon;
WithIcon.args = {
  label: 'With icon',
  iconName: 'BsSearch'
};
var Small = Template.bind({});
exports.Small = Small;
Small.args = {
  size: 'small',
  label: 'Small'
};
var Medium = Template.bind({});
exports.Medium = Medium;
Medium.args = {
  size: 'medium',
  label: 'Medium'
};
var Large = Template.bind({});
exports.Large = Large;
Large.args = {
  size: 'large',
  label: 'Large'
};
//# sourceMappingURL=index.stories.js.map