import React from 'react';
import './Dropdown.scss';
export interface DropdownListItens {
    id: number;
    title: string;
    url: string;
    target: '_self' | '_blank';
    iconName: string;
}
export interface DropdownProps {
    userDisplayName: string;
    userAvatarImg?: string;
    itensList: DropdownListItens[];
    isActive?: boolean;
}
export declare const Dropdown: React.FC<DropdownProps>;
