import React from 'react';
import './Icon.scss';
export interface IconProps {
    size: string;
    name: string;
    color: string;
    onHover?: () => void;
    onClick?: () => void;
}
/**
 * Icon component -
 * Avaliable icons in
 * https://react-icons.github.io/react-icons/icons?name=bs
 */
export declare const Icon: React.FC<IconProps>;
