"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NotificationModal = void 0;

var _react = _interopRequireWildcard(require("react"));

var _Icon = require("../Icon/Icon");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

(function () {
  var styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/* Notification Modal */\n.notification-modal-overlay {\n  background: rgba(0, 0, 0, 0.6);\n  inset: 0;\n  pointer-events: none;\n  position: fixed;\n  z-index: 500;\n  overflow: hidden;\n  transition: all 500ms cubic-bezier(0.23, 1, 0.32, 1) 0s;\n  opacity: 0;\n  transform: translate3d(0, -5px, 0);\n  top: 0;\n  left: 0;\n  right: 0;\n  bottom: 0; }\n  .notification-modal-overlay.show-modal {\n    pointer-events: initial;\n    opacity: 1;\n    transition: opacity 0.8s;\n    transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);\n    transform: translate3d(0, 0, 0); }\n    .notification-modal-overlay.show-modal .notification-modal-block {\n      opacity: 1;\n      pointer-events: auto; }\n    .notification-modal-overlay.show-modal .notification-modal-content {\n      pointer-events: auto; }\n  .notification-modal-overlay .notification-modal-block {\n    z-index: 510;\n    pointer-events: none;\n    position: absolute;\n    opacity: 0;\n    transition: all 0.25s ease-in-out 0.25s;\n    left: 50%;\n    top: 50%;\n    transform: translate(-50%, -50%);\n    max-width: 45rem;\n    width: calc(100% - 20px); }\n    @media print, screen and (min-width: 64em) {\n      .notification-modal-overlay .notification-modal-block {\n        width: auto; } }\n  .notification-modal-overlay .notification-modal-content {\n    background-color: #fff;\n    border: 1px solid #e9ecef;\n    border-radius: 10px;\n    outline: 0;\n    pointer-events: none;\n    margin: 0 auto;\n    padding: 4rem 2rem; }\n    @media print, screen and (min-width: 64em) {\n      .notification-modal-overlay .notification-modal-content {\n        padding: 4rem 10rem 3.875rem; } }\n    .notification-modal-overlay .notification-modal-content .notification-modal-close-button {\n      color: #ff90b2;\n      line-height: 1;\n      position: absolute;\n      right: 1rem;\n      top: 1rem; }\n      @media print, screen and (min-width: 64em) {\n        .notification-modal-overlay .notification-modal-content .notification-modal-close-button {\n          right: 2rem;\n          top: 2rem; } }\n      .notification-modal-overlay .notification-modal-content .notification-modal-close-button svg {\n        cursor: pointer; }\n    .notification-modal-overlay .notification-modal-content .notification-modal-inner {\n      text-align: center;\n      width: 100%;\n      max-width: 25rem;\n      margin: 0 auto;\n      font-size: 1.125rem;\n      line-height: 1.2;\n      font-weight: 400; }\n      @media print, screen and (min-width: 64em) {\n        .notification-modal-overlay .notification-modal-content .notification-modal-inner {\n          width: 25rem;\n          font-size: 1.5rem; } }\n    .notification-modal-overlay .notification-modal-content .notification-modal-image {\n      display: inline-block;\n      max-width: 100%;\n      margin-bottom: 2rem; }\n    .notification-modal-overlay .notification-modal-content .button {\n      width: 100%;\n      margin-top: 3.5rem; }\n";
  var fileName = "NotificationModal_NotificationModal";
  var element = document.querySelector("style[data-sass-component='NotificationModal_NotificationModal']");

  if (!element) {
    var styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/**
 * Notification Modal
 */
var NotificationModal = function NotificationModal(_ref) {
  var image = _ref.image,
      message = _ref.message,
      visible = _ref.visible,
      time = _ref.time;

  var _useState = (0, _react.useState)(visible),
      _useState2 = _slicedToArray(_useState, 2),
      isVisible = _useState2[0],
      setIsVisible = _useState2[1];

  (0, _react.useEffect)(function () {
    if (time && isVisible) setTimeout(function () {
      setIsVisible(false);
    }, time * 1000);
  }, [time, isVisible]);
  (0, _react.useEffect)(function () {
    setIsVisible(visible);
  }, [visible]);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "notification-modal-overlay ".concat(isVisible && 'show-modal')
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "notification-modal-block"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "notification-modal-content"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "notification-modal-close-button"
  }, /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
    name: "BsX",
    size: "27px",
    color: "inherit",
    onClick: function onClick() {
      setIsVisible(false);
    }
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "notification-modal-inner"
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: "notification-modal-image",
    src: image,
    alt: ""
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "notification-modal-message"
  }, message)))));
};

exports.NotificationModal = NotificationModal;
//# sourceMappingURL=NotificationModal.js.map