"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Default = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _StepProgressBar = require("./StepProgressBar");

var _TakiIcon = require("../TakiIcon/TakiIcon");

var _TakiIcons = _interopRequireDefault(require("../TakiIcon/TakiIcons.svg"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  title: 'Components/Step Progress Bar',
  component: _StepProgressBar.StepProgressBar
};
exports.default = _default;

var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_StepProgressBar.StepProgressBar, args);
};

var Default = Template.bind({});
exports.Default = Default;
var steps = [{
  label: 'Saiu para a entrega',
  icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "produtos",
    color: "inherit",
    size: "25px"
  }),
  isActive: true
}, {
  label: 'A caminho',
  icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "delivery",
    color: "inherit",
    size: "25px"
  }),
  isActive: true
}, {
  label: 'Entregue',
  icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "entregue",
    color: "inherit",
    size: "25px"
  }),
  isActive: false
}];
Default.args = {
  percent: 80,
  iconCheck: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "check",
    color: "inherit",
    size: "25px"
  }),
  iconUncheck: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "uncheck",
    color: "inherit",
    size: "25px"
  }),
  steps: steps
};
//# sourceMappingURL=index.stories.js.map