"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Default = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Tabs = require("./Tabs");

var _TakiIcon = require("../TakiIcon/TakiIcon");

var _TakiIcons = _interopRequireDefault(require("../TakiIcon/TakiIcons.svg"));

var _Icon = require("../Icon/Icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  title: 'Components/Tabs',
  component: _Tabs.Tabs
};
exports.default = _default;

var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_Tabs.Tabs, args);
};

var Default = Template.bind({});
exports.Default = Default;
Default.args = {
  tabsListItens: [{
    title: 'Todos',
    icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons.default,
      name: "pedidos",
      color: "inherit",
      size: "19px"
    }),
    isActive: true,
    alertNumber: 0
  }, {
    title: 'Em Preparo',
    icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons.default,
      name: "preparo",
      color: "inherit",
      size: "19px"
    }),
    alertNumber: Math.floor(Math.random() * 100),
    orderStatus: 'preparo'
  }, {
    title: 'Esperando Entrega',
    icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons.default,
      name: "entregue",
      color: "inherit",
      size: "19px"
    }),
    alertNumber: Math.floor(Math.random() * 100),
    orderStatus: 'esperando'
  }, {
    title: 'Saiu para Entrega',
    icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons.default,
      name: "delivery",
      color: "inherit",
      size: "19px"
    }),
    alertNumber: Math.floor(Math.random() * 100),
    orderStatus: 'saiu'
  }, {
    title: 'Retirar na Loja',
    icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons.default,
      name: "loja",
      color: "inherit",
      size: "19px"
    }),
    alertNumber: Math.floor(Math.random() * 100),
    orderStatus: 'retirar'
  }, {
    title: 'Agendados',
    icon: /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
      name: "BsCalendar",
      color: "inherit",
      size: "19px"
    }),
    alertNumber: Math.floor(Math.random() * 100),
    orderStatus: 'agendado'
  }]
};
//# sourceMappingURL=index.stories.js.map