import React, { TextareaHTMLAttributes } from 'react';
import './TextArea.scss';
export interface TextAreaProps extends TextareaHTMLAttributes<HTMLTextAreaElement> {
    label?: string;
    textareaID?: string;
    error?: boolean;
    success?: boolean;
}
/**
 * TextArea component
 */
export declare const TextArea: React.ForwardRefExoticComponent<TextAreaProps & React.RefAttributes<HTMLTextAreaElement>>;
