"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextAreaError = exports.TextAreaSuccess = exports.Default = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _TextArea = require("./TextArea");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  title: 'Components/TextArea',
  component: _TextArea.TextArea
};
exports.default = _default;

var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_TextArea.TextArea, args);
};

var Default = Template.bind({});
exports.Default = Default;
Default.args = {
  label: 'Label do textarea ',
  placeholder: 'Agora com placeholder'
};
var TextAreaSuccess = Template.bind({});
exports.TextAreaSuccess = TextAreaSuccess;
TextAreaSuccess.args = {
  success: true
};
var TextAreaError = Template.bind({});
exports.TextAreaError = TextAreaError;
TextAreaError.args = {
  error: true
};
//# sourceMappingURL=index.stories.js.map