(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "./AlertaNumerico"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("./AlertaNumerico"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.AlertaNumerico);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _AlertaNumerico) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Default = undefined;

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = {
    title: 'Components/Alerta Numérico',
    component: _AlertaNumerico.AlertaNumerico
  };

  const Template = args => /*#__PURE__*/_react2.default.createElement(_AlertaNumerico.AlertaNumerico, args);

  const Default = exports.Default = Template.bind({});
  Default.args = {
    number: 0
  };
});
//# sourceMappingURL=index.stories.js.map