(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "./Input"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("./Input"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.Input);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _Input) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.InputError = exports.InputSuccess = exports.Default = undefined;

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = {
    title: 'Components/Input',
    component: _Input.Input
  };

  const Template = args => /*#__PURE__*/_react2.default.createElement(_Input.Input, args);

  const Default = exports.Default = Template.bind({});
  const InputSuccess = exports.InputSuccess = Template.bind({});
  InputSuccess.args = {
    success: true,
    icon: 'BsCheck'
  };
  const InputError = exports.InputError = Template.bind({});
  InputError.args = {
    error: true,
    icon: 'BsXCircleFill'
  };
});
//# sourceMappingURL=index.stories.js.map