(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "./InputNumeric"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("./InputNumeric"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.InputNumeric);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _InputNumeric) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Default = undefined;

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = {
    title: 'Components/InputNumeric',
    component: _InputNumeric.InputNumeric
  };

  const Template = args => /*#__PURE__*/_react2.default.createElement(_InputNumeric.InputNumeric, args);

  const Default = exports.Default = Template.bind({});
  Default.args = {
    label: 'Mínimo/Máximo',
    min: 0,
    max: 100,
    value: 5
  };
});
//# sourceMappingURL=index.stories.js.map