(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "./ModalLateral"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("./ModalLateral"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.ModalLateral);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _ModalLateral) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Default = undefined;

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = {
    title: 'Components/Modal Lateral',
    component: _ModalLateral.ModalLateral
  };

  const Template = args => /*#__PURE__*/_react2.default.createElement(_ModalLateral.ModalLateral, args, /*#__PURE__*/_react2.default.createElement("div", {
    className: "nope"
  }, /*#__PURE__*/_react2.default.createElement("h3", null, "o que \xE9 o Taki?"), /*#__PURE__*/_react2.default.createElement("p", null, "Somos um aplicativo de compras focado no varejo. Atendemos: supermercados, farm\xE1cias, restaurantes, hortifrutis, a\xE7ougues, \xE1gua e g\xE1s, petshops e muito mais!"), /*#__PURE__*/_react2.default.createElement("p", null, "Agende seu melhor hor\xE1rio para a entrega, e tenha praticidade no seu dia. O varejo da sua cidade na palma da sua m\xE3o.")));

  const Default = exports.Default = Template.bind({});
  Default.args = {
    visible: true,
    close: () => false
  };
});
//# sourceMappingURL=index.stories.js.map