(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "./Button/Button", "./Icon/Icon", "./Input/Input", "./Dropdown/Dropdown", "./Datepicker/Datepicker", "./AlertaNumerico/AlertaNumerico", "./List/List", "./NotificationModal/NotificationModal", "./Tabs/Tabs", "./TakiIcon/TakiIcon", "./Modal/Modal", "./ModalLateral/ModalLateral", "./Collapse/Collapse", "./Selectbox/Selectbox", "./StepProgressBar/StepProgressBar", "./TextArea/TextArea", "./AsyncSelectbox/AsyncSelectBox"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("./Button/Button"), require("./Icon/Icon"), require("./Input/Input"), require("./Dropdown/Dropdown"), require("./Datepicker/Datepicker"), require("./AlertaNumerico/AlertaNumerico"), require("./List/List"), require("./NotificationModal/NotificationModal"), require("./Tabs/Tabs"), require("./TakiIcon/TakiIcon"), require("./Modal/Modal"), require("./ModalLateral/ModalLateral"), require("./Collapse/Collapse"), require("./Selectbox/Selectbox"), require("./StepProgressBar/StepProgressBar"), require("./TextArea/TextArea"), require("./AsyncSelectbox/AsyncSelectBox"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.Button, global.Icon, global.Input, global.Dropdown, global.Datepicker, global.AlertaNumerico, global.List, global.NotificationModal, global.Tabs, global.TakiIcon, global.Modal, global.ModalLateral, global.Collapse, global.Selectbox, global.StepProgressBar, global.TextArea, global.AsyncSelectBox);
    global.undefined = mod.exports;
  }
})(this, function (exports, _Button, _Icon, _Input, _Dropdown, _Datepicker, _AlertaNumerico, _List, _NotificationModal, _Tabs, _TakiIcon, _Modal, _ModalLateral, _Collapse, _Selectbox, _StepProgressBar, _TextArea, _AsyncSelectBox) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  Object.keys(_Button).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _Button[key];
      }
    });
  });
  Object.keys(_Icon).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _Icon[key];
      }
    });
  });
  Object.keys(_Input).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _Input[key];
      }
    });
  });
  Object.keys(_Dropdown).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _Dropdown[key];
      }
    });
  });
  Object.keys(_Datepicker).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _Datepicker[key];
      }
    });
  });
  Object.keys(_AlertaNumerico).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _AlertaNumerico[key];
      }
    });
  });
  Object.keys(_List).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _List[key];
      }
    });
  });
  Object.keys(_NotificationModal).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _NotificationModal[key];
      }
    });
  });
  Object.keys(_Tabs).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _Tabs[key];
      }
    });
  });
  Object.keys(_TakiIcon).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _TakiIcon[key];
      }
    });
  });
  Object.keys(_Modal).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _Modal[key];
      }
    });
  });
  Object.keys(_ModalLateral).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _ModalLateral[key];
      }
    });
  });
  Object.keys(_Collapse).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _Collapse[key];
      }
    });
  });
  Object.keys(_Selectbox).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _Selectbox[key];
      }
    });
  });
  Object.keys(_StepProgressBar).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _StepProgressBar[key];
      }
    });
  });
  Object.keys(_TextArea).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _TextArea[key];
      }
    });
  });
  Object.keys(_AsyncSelectBox).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    Object.defineProperty(exports, key, {
      enumerable: true,
      get: function () {
        return _AsyncSelectBox[key];
      }
    });
  });
});
//# sourceMappingURL=index.js.map