(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  (function () {
    const styles = "@charset \"UTF-8\";\n/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/*! normalize.css v8.0.0 | MIT License | github.com/necolas/normalize.css */\n@import url(\"https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap\");\nhtml {\n  line-height: 1.15;\n  -webkit-text-size-adjust: 100%; }\n\nbody {\n  margin: 0; }\n\nh1 {\n  font-size: 2em;\n  margin: 0.67em 0; }\n\nhr {\n  box-sizing: content-box;\n  height: 0;\n  overflow: visible; }\n\npre {\n  font-family: monospace, monospace;\n  font-size: 1em; }\n\na {\n  background-color: transparent; }\n\nabbr[title] {\n  border-bottom: none;\n  text-decoration: underline;\n  text-decoration: underline dotted; }\n\nb,\nstrong {\n  font-weight: bolder; }\n\ncode,\nkbd,\nsamp {\n  font-family: monospace, monospace;\n  font-size: 1em; }\n\nsmall {\n  font-size: 80%; }\n\nsub,\nsup {\n  font-size: 75%;\n  line-height: 0;\n  position: relative;\n  vertical-align: baseline; }\n\nsub {\n  bottom: -0.25em; }\n\nsup {\n  top: -0.5em; }\n\nimg {\n  border-style: none; }\n\nbutton,\ninput,\noptgroup,\nselect,\ntextarea {\n  font-family: inherit;\n  font-size: 100%;\n  line-height: 1.15;\n  margin: 0; }\n\nbutton,\ninput {\n  overflow: visible; }\n\nbutton,\nselect {\n  text-transform: none; }\n\nbutton,\n[type=\"button\"],\n[type=\"reset\"],\n[type=\"submit\"] {\n  -webkit-appearance: button; }\n\nbutton::-moz-focus-inner,\n[type=\"button\"]::-moz-focus-inner,\n[type=\"reset\"]::-moz-focus-inner,\n[type=\"submit\"]::-moz-focus-inner {\n  border-style: none;\n  padding: 0; }\n\nbutton:-moz-focusring,\n[type=\"button\"]:-moz-focusring,\n[type=\"reset\"]:-moz-focusring,\n[type=\"submit\"]:-moz-focusring {\n  outline: 1px dotted ButtonText; }\n\nfieldset {\n  padding: 0.35em 0.75em 0.625em; }\n\nlegend {\n  box-sizing: border-box;\n  color: inherit;\n  display: table;\n  max-width: 100%;\n  padding: 0;\n  white-space: normal; }\n\nprogress {\n  vertical-align: baseline; }\n\ntextarea {\n  overflow: auto; }\n\n[type=\"checkbox\"],\n[type=\"radio\"] {\n  box-sizing: border-box;\n  padding: 0; }\n\n[type=\"number\"]::-webkit-inner-spin-button,\n[type=\"number\"]::-webkit-outer-spin-button {\n  height: auto; }\n\n[type=\"search\"] {\n  -webkit-appearance: textfield;\n  outline-offset: -2px; }\n\n[type=\"search\"]::-webkit-search-decoration {\n  -webkit-appearance: none; }\n\n::-webkit-file-upload-button {\n  -webkit-appearance: button;\n  font: inherit; }\n\ndetails {\n  display: block; }\n\nsummary {\n  display: list-item; }\n\ntemplate {\n  display: none; }\n\n[hidden] {\n  display: none; }\n\n.foundation-mq {\n  font-family: \"small=0em&medium=40em&large=64em&xlarge=90em&xxlarge=102.5em\"; }\n\nhtml {\n  box-sizing: border-box;\n  font-size: 100%; }\n\n*,\n*::before,\n*::after {\n  box-sizing: inherit; }\n\nbody {\n  margin: 0;\n  padding: 0;\n  background: #fff;\n  font-family: \"Lato\", sans-serif;\n  font-weight: normal;\n  line-height: 1.5;\n  color: #495057;\n  -webkit-font-smoothing: antialiased;\n  -moz-osx-font-smoothing: grayscale; }\n\nimg {\n  display: inline-block;\n  vertical-align: middle;\n  max-width: 100%;\n  height: auto;\n  -ms-interpolation-mode: bicubic; }\n\ntextarea {\n  height: auto;\n  min-height: 50px;\n  border-radius: 0; }\n\nselect {\n  box-sizing: border-box;\n  width: 100%;\n  border-radius: 0; }\n\n.map_canvas img,\n.map_canvas embed,\n.map_canvas object,\n.mqa-display img,\n.mqa-display embed,\n.mqa-display object {\n  max-width: none !important; }\n\nbutton {\n  padding: 0;\n  appearance: none;\n  border: 0;\n  border-radius: 0;\n  background: transparent;\n  line-height: 1;\n  cursor: auto; }\n  [data-whatinput='mouse'] button {\n    outline: 0; }\n\npre {\n  overflow: auto; }\n\nbutton,\ninput,\noptgroup,\nselect,\ntextarea {\n  font-family: inherit; }\n\n.is-visible {\n  display: block !important; }\n\n.is-hidden {\n  display: none !important; }\n\n/**\n * Basic typography style for copy text\n */\nhtml * {\n  -webkit-font-smoothing: antialiased;\n  -moz-osx-font-smoothing: grayscale; }\n\n/**\n * Basic typography style for copy text\n */\nbody {\n  font-family: \"Lato\", sans-serif;\n  position: relative;\n  color: #495057;\n  font-size: 1rem;\n  line-height: 1.5; }\n\n/**\n * Basic styles for links\n */\na {\n  text-decoration: none;\n  transition: all 0.35s ease;\n  color: #ff90b2; }\n  a:hover, a:active, a:focus {\n    color: #ffacc5; }\n\np {\n  line-height: inherit;\n  margin: 0 0 1rem 0; }\n\n/*\n* T\xEDtulos\n*/\nh1,\nh2,\nh3,\nh4,\nh5,\nh6 {\n  position: relative;\n  line-height: 1.2; }\n\nh1 {\n  font-size: 4rem; }\n\nh2 {\n  font-size: 3rem; }\n\nh3 {\n  font-size: 2rem; }\n\nh4 {\n  font-size: 1.5rem; }\n\nh5 {\n  font-size: 1rem; }\n\nh6 {\n  font-size: 0.5rem; }\n\n/* helper class */\n.bold {\n  font-weight: 700; }\n\n.light {\n  font-weight: 300; }\n\n.regular {\n  font-weight: 400; }\n\n/* Espa\xE7amentos */\n.m-t-0 {\n  margin-top: 0 !important; }\n\n.p-t-0 {\n  padding-top: 0 !important; }\n\n.m-b-0 {\n  margin-bottom: 0 !important; }\n\n.p-b-0 {\n  padding-bottom: 0 !important; }\n\n.m-l-0 {\n  margin-left: 0 !important; }\n\n.p-l-0 {\n  padding-left: 0 !important; }\n\n.m-r-0 {\n  margin-right: 0 !important; }\n\n.p-r-0 {\n  padding-right: 0 !important; }\n\n.m-t-10 {\n  margin-top: 0.625rem !important; }\n\n.p-t-10 {\n  padding-top: 0.625rem !important; }\n\n.m-b-10 {\n  margin-bottom: 0.625rem !important; }\n\n.p-b-10 {\n  padding-bottom: 0.625rem !important; }\n\n.m-l-10 {\n  margin-left: 0.625rem !important; }\n\n.p-l-10 {\n  padding-left: 0.625rem !important; }\n\n.m-r-10 {\n  margin-right: 0.625rem !important; }\n\n.p-r-10 {\n  padding-right: 0.625rem !important; }\n\n.m-t-20 {\n  margin-top: 1.25rem !important; }\n\n.p-t-20 {\n  padding-top: 1.25rem !important; }\n\n.m-b-20 {\n  margin-bottom: 1.25rem !important; }\n\n.p-b-20 {\n  padding-bottom: 1.25rem !important; }\n\n.m-l-20 {\n  margin-left: 1.25rem !important; }\n\n.p-l-20 {\n  padding-left: 1.25rem !important; }\n\n.m-r-20 {\n  margin-right: 1.25rem !important; }\n\n.p-r-20 {\n  padding-right: 1.25rem !important; }\n\n.m-t-30 {\n  margin-top: 1.875rem !important; }\n\n.p-t-30 {\n  padding-top: 1.875rem !important; }\n\n.m-b-30 {\n  margin-bottom: 1.875rem !important; }\n\n.p-b-30 {\n  padding-bottom: 1.875rem !important; }\n\n.m-l-30 {\n  margin-left: 1.875rem !important; }\n\n.p-l-30 {\n  padding-left: 1.875rem !important; }\n\n.m-r-30 {\n  margin-right: 1.875rem !important; }\n\n.p-r-30 {\n  padding-right: 1.875rem !important; }\n\n.m-t-25 {\n  margin-top: 1.5625rem !important; }\n\n.p-t-25 {\n  padding-top: 1.5625rem !important; }\n\n.m-b-25 {\n  margin-bottom: 1.5625rem !important; }\n\n.p-b-25 {\n  padding-bottom: 1.5625rem !important; }\n\n.m-l-25 {\n  margin-left: 1.5625rem !important; }\n\n.p-l-25 {\n  padding-left: 1.5625rem !important; }\n\n.m-r-25 {\n  margin-right: 1.5625rem !important; }\n\n.p-r-25 {\n  padding-right: 1.5625rem !important; }\n\n.m-t-50 {\n  margin-top: 3.125rem !important; }\n\n.p-t-50 {\n  padding-top: 3.125rem !important; }\n\n.m-b-50 {\n  margin-bottom: 3.125rem !important; }\n\n.p-b-50 {\n  padding-bottom: 3.125rem !important; }\n\n.m-l-50 {\n  margin-left: 3.125rem !important; }\n\n.p-l-50 {\n  padding-left: 3.125rem !important; }\n\n.m-r-50 {\n  margin-right: 3.125rem !important; }\n\n.p-r-50 {\n  padding-right: 3.125rem !important; }\n\n.m-t-100 {\n  margin-top: 6.25rem !important; }\n  @media print, screen and (max-width: 63.99875em) {\n    .m-t-100 {\n      margin-top: 3.125rem !important; } }\n\n.p-t-100 {\n  padding-top: 6.25rem !important; }\n  @media print, screen and (max-width: 63.99875em) {\n    .p-t-100 {\n      padding-top: 3.125rem !important; } }\n\n.m-b-100 {\n  margin-bottom: 6.25rem !important; }\n  @media print, screen and (max-width: 63.99875em) {\n    .m-b-100 {\n      margin-bottom: 3.125rem !important; } }\n\n.p-b-100 {\n  padding-bottom: 6.25rem !important; }\n  @media print, screen and (max-width: 63.99875em) {\n    .p-b-100 {\n      padding-bottom: 3.125rem !important; } }\n\n.m-l-100 {\n  margin-left: 6.25rem !important; }\n  @media print, screen and (max-width: 63.99875em) {\n    .m-l-100 {\n      margin-left: 3.125rem !important; } }\n\n.p-l-100 {\n  padding-left: 6.25rem !important; }\n  @media print, screen and (max-width: 63.99875em) {\n    .p-l-100 {\n      padding-left: 3.125rem !important; } }\n\n.m-r-100 {\n  margin-right: 6.25rem !important; }\n  @media print, screen and (max-width: 63.99875em) {\n    .m-r-100 {\n      margin-right: 3.125rem !important; } }\n\n.p-r-100 {\n  padding-right: 6.25rem !important; }\n  @media print, screen and (max-width: 63.99875em) {\n    .p-r-100 {\n      padding-right: 3.125rem !important; } }\n";
    const fileName = "Typography_Typography";
    const element = document.querySelector("style[data-sass-component='Typography_Typography']");

    if (!element) {
      const styleBlock = document.createElement("style");
      styleBlock.innerHTML = styles;
      styleBlock.setAttribute("data-sass-component", fileName);
      document.head.appendChild(styleBlock);
    } else {
      element.innerHTML = styles;
    }
  })();

  const Typography = () => {
    return /*#__PURE__*/_react2.default.createElement(_react2.default.Fragment, null, /*#__PURE__*/_react2.default.createElement("h1", {
      className: "bold"
    }, "H1 Bold (64px)"), /*#__PURE__*/_react2.default.createElement("h2", {
      className: "bold"
    }, "H2 Bold (48px)"), /*#__PURE__*/_react2.default.createElement("h3", {
      className: "bold"
    }, "H3 Bold (32px)"), /*#__PURE__*/_react2.default.createElement("h4", {
      className: "bold"
    }, "H4 Bold (24px)"), /*#__PURE__*/_react2.default.createElement("h5", {
      className: "bold"
    }, "H5 Bold (16px)"), /*#__PURE__*/_react2.default.createElement("h6", {
      className: "bold"
    }, "H6 Bold (8px)"), /*#__PURE__*/_react2.default.createElement("h4", {
      className: "regular"
    }, "Regular "), /*#__PURE__*/_react2.default.createElement("h4", {
      className: "light"
    }, "Light"));
  };

  exports.default = Typography;
});
//# sourceMappingURL=Typography.js.map