import React from 'react'; // also exported from '@storybook/react' if you can deal with breaking changes in 6.1

import { Button } from './Button';
export default {
  title: 'Components/Button',
  component: Button,
  argTypes: {
    backgroundColor: {
      control: 'color'
    }
  }
};

const Template = args => /*#__PURE__*/React.createElement(Button, args);

export const Default = Template.bind({});
Default.args = {
  label: 'Button'
};
export const Reverse = Template.bind({});
Reverse.args = {
  reverse: true,
  label: 'Reverse'
};
export const WithIcon = Template.bind({});
WithIcon.args = {
  label: 'With icon',
  iconName: 'BsSearch'
};
export const Small = Template.bind({});
Small.args = {
  size: 'small',
  label: 'Small'
};
export const Medium = Template.bind({});
Medium.args = {
  size: 'medium',
  label: 'Medium'
};
export const Large = Template.bind({});
Large.args = {
  size: 'large',
  label: 'Large'
};
//# sourceMappingURL=index.stories.js.map