import _pt from "prop-types";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/* eslint-disable @typescript-eslint/no-unused-vars */

/* eslint-disable @typescript-eslint/no-explicit-any */

/* eslint-disable jsx-a11y/click-events-have-key-events */
import React, { useState, useRef, useCallback } from 'react';
import { Icon } from '../Icon/Icon';

(function () {
  const styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/*\n* [STORYBOOK] Componente de Dropdown\n*/\n.dropdown-block {\n  position: relative;\n  max-width: 215px; }\n  .dropdown-block:focus {\n    outline: 0; }\n  .dropdown-block.show-dropdown .dropdown-list {\n    opacity: 1;\n    transform: scale(1) translate(0);\n    pointer-events: auto;\n    top: calc(100% + 8px); }\n  .dropdown-block.show-dropdown .dropdown-block-info .dropdown-state-icon > svg {\n    transform: rotate(180deg); }\n\n.dropdown-block-info {\n  display: flex;\n  align-items: center;\n  cursor: pointer; }\n  .dropdown-block-info:focus {\n    outline: 0; }\n  .dropdown-block-info .user-avatar-img {\n    position: relative;\n    border-radius: 50%;\n    width: 55px;\n    height: 55px;\n    overflow: hidden;\n    font-weight: 700;\n    display: flex;\n    align-items: center;\n    justify-content: center; }\n    .dropdown-block-info .user-avatar-img > img {\n      position: relative;\n      width: 100%;\n      height: 100%;\n      object-fit: cover; }\n    .dropdown-block-info .user-avatar-img::before {\n      content: \"\";\n      border: 1px solid #e9ecef;\n      position: absolute;\n      left: 0;\n      top: 0;\n      width: calc(100% - 2px);\n      height: calc(100% - 2px);\n      border-radius: 50%; }\n  .dropdown-block-info .infos-wrap {\n    display: flex;\n    flex-direction: column;\n    line-height: 1;\n    padding: 0 8px; }\n    .dropdown-block-info .infos-wrap .welcome-title {\n      font-size: 16px;\n      font-weight: 700;\n      margin-bottom: 8px; }\n    .dropdown-block-info .infos-wrap .user-display-name {\n      display: block;\n      white-space: nowrap;\n      overflow: hidden;\n      text-overflow: ellipsis;\n      width: 130px; }\n  .dropdown-block-info .dropdown-state-icon {\n    margin-left: auto; }\n    .dropdown-block-info .dropdown-state-icon svg {\n      position: relative;\n      transition: all 0.35s ease-in-out; }\n\n/* The List*/\n.dropdown-list {\n  transition: all 0.25s cubic-bezier(0.24, 0.22, 0.015, 1.56), opacity 0.1s ease-in-out;\n  opacity: 0;\n  pointer-events: none;\n  transform: scale(0.8) translate(-10%, -10%);\n  overflow: hidden;\n  width: auto;\n  min-width: 100%;\n  background-color: #fff;\n  text-align: left;\n  z-index: 5;\n  position: absolute;\n  padding: 0;\n  margin: 0;\n  top: 100%;\n  left: 0;\n  -webkit-overflow-scrolling: touch;\n  border: 1px solid rgba(204, 204, 204, 0.3);\n  box-sizing: border-box;\n  border-radius: 10px; }\n  .dropdown-list.show-content {\n    opacity: 1;\n    transform: scale(1) translate(0);\n    pointer-events: auto; }\n\n.dropdown-list-item {\n  position: relative;\n  border-top: 1px solid rgba(204, 204, 204, 0.3); }\n  .dropdown-list-item:first-child {\n    border-top: 0; }\n\n.dropdown-list-item-button {\n  transition: all 0.2s ease-in-out;\n  display: flex;\n  align-items: center;\n  line-height: 1.2;\n  height: auto;\n  padding: 16px 17px;\n  font-size: 16px;\n  font-weight: 400;\n  color: #495057;\n  outline: 0;\n  text-decoration: none; }\n  .dropdown-list-item-button svg {\n    transition: all 0.2s ease-in-out;\n    margin-right: 8px; }\n  .dropdown-list-item-button:hover {\n    color: #495057;\n    background-color: rgba(233, 236, 239, 0.4); }\n  .dropdown-list-item-button:active {\n    color: #ff90b2; }\n  .dropdown-list-item-button.is-active {\n    color: #495057;\n    background-color: #e9ecef; }\n";
  const fileName = "Dropdown_Dropdown";
  const element = document.querySelector("style[data-sass-component='Dropdown_Dropdown']");

  if (!element) {
    const styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/* Dropdown component */
export const Dropdown = (_ref) => {
  let {
    userDisplayName,
    userAvatarImg,
    itensList,
    isActive = false
  } = _ref,
      props = _objectWithoutProperties(_ref, ["userDisplayName", "userAvatarImg", "itensList", "isActive"]);

  const divRef = useRef(null);
  const [showDropdown, setShowDropdown] = useState(isActive);
  const showDropdownClass = showDropdown ? 'show-dropdown' : '';

  const getInitials = name => {
    const initials = name.replace(/[^a-zA-Z- ]/g, '').match(/\b\w/g);

    if (initials) {
      return initials.join('');
    }

    return initials;
  };

  const handleClickLink = () => {
    setShowDropdown(false);
  };

  const useOutsideClick = useCallback(divRefEl => {
    function handleClickOutside(event) {
      if (divRefEl.current && !divRefEl.current.contains(event.target)) {
        setShowDropdown(false);
      }
    }

    document.addEventListener('click', handleClickOutside);
    return () => {
      document.removeEventListener('click', handleClickOutside);
    };
  }, []);
  useOutsideClick(divRef);
  return /*#__PURE__*/React.createElement("div", _extends({
    ref: divRef,
    className: ['dropdown-block', showDropdownClass].join(' ')
  }, props), /*#__PURE__*/React.createElement("div", {
    className: "dropdown-block-info",
    onClick: () => setShowDropdown(!showDropdown),
    role: "button",
    tabIndex: 0
  }, /*#__PURE__*/React.createElement("div", {
    className: "user-avatar-img"
  }, userAvatarImg !== null && userAvatarImg !== '' ? /*#__PURE__*/React.createElement("img", {
    src: userAvatarImg,
    alt: userDisplayName
  }) : getInitials(userDisplayName)), /*#__PURE__*/React.createElement("div", {
    className: "infos-wrap"
  }, /*#__PURE__*/React.createElement("strong", {
    className: "welcome-title"
  }, "Bem-Vindo(a)"), /*#__PURE__*/React.createElement("span", {
    className: "user-display-name"
  }, userDisplayName)), /*#__PURE__*/React.createElement("div", {
    className: "dropdown-state-icon"
  }, /*#__PURE__*/React.createElement(Icon, {
    color: "inherit",
    name: "BsFillCaretDownFill",
    size: "15px"
  }))), /*#__PURE__*/React.createElement("ul", {
    className: "dropdown-list"
  }, itensList.map(item => /*#__PURE__*/React.createElement("li", {
    key: item.id,
    className: "dropdown-list-item"
  }, /*#__PURE__*/React.createElement("a", {
    href: item.url,
    title: item.title,
    target: item.target,
    onClick: () => handleClickLink(),
    className: "dropdown-list-item-button"
  }, /*#__PURE__*/React.createElement(Icon, {
    color: "inherit",
    name: item.iconName,
    size: "15px"
  }), item.title)))));
};
Dropdown.propTypes = {
  userDisplayName: _pt.string.isRequired,
  userAvatarImg: _pt.string,
  itensList: _pt.arrayOf(_pt.shape({
    id: _pt.number.isRequired,
    title: _pt.string.isRequired,
    url: _pt.string.isRequired,
    target: _pt.oneOf(['_self', '_blank']).isRequired,
    iconName: _pt.string.isRequired
  })).isRequired,
  isActive: _pt.bool
};
//# sourceMappingURL=Dropdown.js.map