import React from 'react'; // also exported from '@storybook/react' if you can deal with breaking changes in 6.1

import { Dropdown } from './Dropdown';
export default {
  title: 'Components/Dropdown',
  component: Dropdown
};
const itens = [{
  id: 1,
  title: 'Informações Pessoais',
  url: 'https://takiapp.com.br/',
  target: '_blank',
  iconName: 'BsPerson'
}, {
  id: 2,
  title: 'Minha Conta',
  url: 'https://www.google.com/',
  target: '_blank',
  iconName: 'BsGear'
}, {
  id: 3,
  title: 'Ajuda',
  target: '_blank',
  url: 'https://www.google.com/',
  iconName: 'BsQuestionCircle'
}, {
  id: 4,
  title: 'Sair',
  target: '_blank',
  url: 'https://www.google.com/',
  iconName: 'BsBoxArrowRight'
}];

const Template = args => /*#__PURE__*/React.createElement(Dropdown, args);

export const Default = Template.bind({});
Default.args = {
  userDisplayName: 'Cheff Restaurante',
  userAvatarImg: 'https://randomuser.me/api/portraits/men/36.jpg',
  itensList: itens,
  isActive: false
};
//# sourceMappingURL=index.stories.js.map