import React from 'react'; // also exported from '@storybook/react' if you can deal with breaking changes in 6.1

import { Selectbox } from './Selectbox';
export default {
  title: 'Components/Selectbox',
  component: Selectbox
};

const Template = args => /*#__PURE__*/React.createElement(Selectbox, args);

export const Default = Template.bind({});
const options = [{
  label: 'Todos',
  value: 'Todos'
}, {
  label: 'Em Andamento',
  value: 'Em Andamento'
}, {
  label: 'Saiu para Entrega',
  value: 'Saiu para Entrega'
}, {
  label: 'Recusado pela Loja',
  value: 'Recusado pela Loja'
}, {
  label: 'Cancelado',
  value: 'Cancelado'
}, {
  label: 'Agendado',
  value: 'Agendado'
}, {
  label: 'Entregue',
  value: 'Entregue'
}];
Default.args = {
  options,
  title: 'Status',
  placeholder: 'Escolha ...',
  isSearchable: false,
  defaultValue: options[0]
};
//# sourceMappingURL=index.stories.js.map