import React from 'react'; // also exported from '@storybook/react' if you can deal with breaking changes in 6.1

import { TakiIcon } from './TakiIcon';
import TakiIcons from './TakiIcons.svg';
export default {
  title: 'Components/TakiIcon',
  component: TakiIcon,
  argTypes: {
    color: {
      control: 'color'
    }
  }
};

const Template = args => /*#__PURE__*/React.createElement(TakiIcon, args);

export const Default = Template.bind({});
Default.args = {
  svgSprite: TakiIcons,
  name: 'aplicativo',
  color: '#000'
};
//# sourceMappingURL=index.stories.js.map