"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Default = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Dropdown = require("./Dropdown");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  title: 'Components/Dropdown',
  component: _Dropdown.Dropdown
};
exports.default = _default;
var itens = [{
  id: 1,
  title: 'Informações Pessoais',
  url: 'https://takiapp.com.br/',
  target: '_blank',
  iconName: 'BsPerson'
}, {
  id: 2,
  title: 'Minha Conta',
  url: 'https://www.google.com/',
  target: '_blank',
  iconName: 'BsGear'
}, {
  id: 3,
  title: 'Ajuda',
  target: '_blank',
  url: 'https://www.google.com/',
  iconName: 'BsQuestionCircle'
}, {
  id: 4,
  title: 'Sair',
  target: '_blank',
  url: 'https://www.google.com/',
  iconName: 'BsBoxArrowRight'
}];

var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_Dropdown.Dropdown, args);
};

var Default = Template.bind({});
exports.Default = Default;
Default.args = {
  userDisplayName: 'Cheff Restaurante',
  userAvatarImg: 'https://randomuser.me/api/portraits/men/36.jpg',
  itensList: itens,
  isActive: false
};
//# sourceMappingURL=index.stories.js.map