import React, { InputHTMLAttributes } from 'react';
import './Input.scss';
export interface InputProps extends InputHTMLAttributes<HTMLInputElement> {
    label?: string;
    inputID?: string;
    icon?: string;
    error?: boolean;
    success?: boolean;
    prefix?: string;
    sufix?: string;
    iconClick?: () => void;
}
/**
 * Input component
 */
export declare const Input: React.ForwardRefExoticComponent<InputProps & React.RefAttributes<HTMLInputElement>>;
