"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InputError = exports.InputSuccess = exports.Default = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Input = require("./Input");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  title: 'Components/Input',
  component: _Input.Input
};
exports.default = _default;

var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_Input.Input, args);
};

var Default = Template.bind({});
exports.Default = Default;
var InputSuccess = Template.bind({});
exports.InputSuccess = InputSuccess;
InputSuccess.args = {
  success: true,
  icon: 'BsCheck'
};
var InputError = Template.bind({});
exports.InputError = InputError;
InputError.args = {
  error: true,
  icon: 'BsXCircleFill'
};
//# sourceMappingURL=index.stories.js.map