"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InputNumeric = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var _Input = require("../Input/Input");

require("react-loader-spinner/dist/loader/css/react-spinner-loader.css");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

(function () {
  var styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/**\n* [STORYBOOK] Componente InputNumeric\n*/\n.input-group-counter {\n  display: flex;\n  align-items: stretch;\n  justify-content: space-between;\n  border: 1px solid rgba(142, 142, 142, 0.5);\n  border-radius: 10px; }\n  .input-group-counter .input-group-counter-field {\n    width: 50%; }\n    .input-group-counter .input-group-counter-field .inputContent {\n      padding: 0;\n      margin: 0;\n      min-width: 100%;\n      max-width: 100%;\n      width: 100%; }\n      .input-group-counter .input-group-counter-field .inputContent .input {\n        min-width: 100%;\n        max-width: 100%;\n        width: 100%;\n        border: 0;\n        border-radius: 0;\n        text-align: center;\n        padding: 0;\n        margin: 0; }\n        .input-group-counter .input-group-counter-field .inputContent .input::-webkit-inner-spin-button,\n        .input-group-counter .input-group-counter-field .inputContent .input ::-webkit-outer-spin-button {\n          appearance: none; }\n  .input-group-counter .input-group-counter-button {\n    position: relative;\n    width: 25%;\n    color: #ff90b2;\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    overflow: hidden; }\n    .input-group-counter .input-group-counter-button .button-hollow {\n      color: #ff90b2;\n      font-weight: 700;\n      font-size: 1.5rem;\n      line-height: 1;\n      position: relative;\n      width: 100%;\n      height: 100%;\n      cursor: pointer; }\n  .input-group-counter .input-group-counter {\n    text-align: center;\n    padding: 0;\n    margin: 0; }\n  .input-group-counter .inputContent {\n    padding: 0;\n    margin: 0; }\n    .input-group-counter .inputContent .input {\n      border: 0;\n      border-radius: 0;\n      text-align: center;\n      padding: 0;\n      margin: 0; }\n      .input-group-counter .inputContent .input::-webkit-inner-spin-button,\n      .input-group-counter .inputContent .input ::-webkit-outer-spin-button {\n        appearance: none; }\n\n.form-row-item {\n  position: relative;\n  margin-bottom: 2.5rem; }\n  .form-row-item .form-row-label {\n    font-size: 1rem;\n    position: relative;\n    font-weight: 700;\n    margin: 0 0 0.625rem 0.3125rem;\n    display: block; }\n  .form-row-item .form-row-label-help {\n    display: inline-block;\n    font-weight: 400;\n    font-size: 0.875rem;\n    line-height: 1; }\n  .form-row-item .form-row-input {\n    position: relative; }\n";
  var fileName = "InputNumeric_InputNumeric";
  var element = document.querySelector("style[data-sass-component='InputNumeric_InputNumeric']");

  if (!element) {
    var styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/**
 * InputNumeric
 */
var InputNumeric = function InputNumeric(_ref) {
  var label = _ref.label,
      min = _ref.min,
      max = _ref.max,
      value = _ref.value,
      onChange = _ref.onChange;

  var _useState = (0, _react.useState)(value),
      _useState2 = _slicedToArray(_useState, 2),
      inputValue = _useState2[0],
      setInputValue = _useState2[1];

  return /*#__PURE__*/_react.default.createElement("div", {
    className: "form-row-item"
  }, label && /*#__PURE__*/_react.default.createElement("div", {
    className: "form-row-label"
  }, label), /*#__PURE__*/_react.default.createElement("div", {
    className: "input-group-counter border"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "input-group-counter-button"
  }, /*#__PURE__*/_react.default.createElement("button", {
    type: "button",
    className: "button-hollow",
    onClick: function onClick() {
      return setInputValue(function (prevCount) {
        return prevCount <= min ? min : prevCount - 1;
      });
    }
  }, "-")), /*#__PURE__*/_react.default.createElement("div", {
    className: "input-group-counter-field"
  }, /*#__PURE__*/_react.default.createElement(_Input.Input, {
    type: "number",
    value: inputValue,
    onChange: onChange
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "input-group-counter-button"
  }, /*#__PURE__*/_react.default.createElement("button", {
    type: "button",
    className: "button-hollow",
    onClick: function onClick() {
      return setInputValue(function (prevCount) {
        return prevCount >= max ? max : prevCount + 1;
      });
    }
  }, "+"))));
};

exports.InputNumeric = InputNumeric;
InputNumeric.propTypes = {
  label: _propTypes.default.string,
  min: _propTypes.default.number.isRequired,
  max: _propTypes.default.number.isRequired,
  value: _propTypes.default.number.isRequired,
  onChange: _propTypes.default.func
};
//# sourceMappingURL=InputNumeric.js.map