import React from 'react';
import './List.scss';
export interface ListItens {
    title: string;
    url: string;
    target?: '_self' | '_blank';
    icon?: React.ReactElement;
    alertNumber?: number;
    isActive?: boolean;
    onClick: (e: React.MouseEvent<HTMLAnchorElement, MouseEvent>) => void;
}
export interface ListProps {
    listItens: ListItens[];
}
export declare const List: React.FC<ListProps>;
