"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Default = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _List = require("./List");

var _TakiIcon = require("../TakiIcon/TakiIcon");

var _TakiIcons = _interopRequireDefault(require("../TakiIcon/TakiIcons.svg"));

var _Icon = require("../Icon/Icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  title: 'Components/List',
  component: _List.List
};
exports.default = _default;

var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_List.List, args);
};

var Default = Template.bind({});
exports.Default = Default;
var Itens = [{
  title: 'Início',
  url: './',
  target: '_blank',
  onClick: function onClick(e) {
    e.preventDefault();
  },
  icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "home",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Meus Pedidos',
  url: '/loja/dashboard',
  onClick: function onClick(e) {
    e.preventDefault();
  },
  icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "pedidos",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Produtos',
  url: '/loja/produtos',
  onClick: function onClick(e) {
    e.preventDefault();
  },
  alertNumber: 0,
  icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "produtos",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Minha Loja',
  target: '_blank',
  url: '#',
  onClick: function onClick(e) {
    e.preventDefault();
  },
  icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "loja",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Aplicativo',
  target: '_blank',
  url: '#',
  onClick: function onClick(e) {
    e.preventDefault();
  },
  icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "aplicativo",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Pagamentos',
  target: '_blank',
  url: '#',
  onClick: function onClick(e) {
    e.preventDefault();
  },
  icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "pagamentos",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Cupons',
  target: '_blank',
  url: '#',
  onClick: function onClick(e) {
    e.preventDefault();
  },
  icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "ticket",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Ofertas',
  target: '_blank',
  url: '#',
  onClick: function onClick(e) {
    e.preventDefault();
  },
  icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "megafone",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Avisos',
  target: '_blank',
  url: '#',
  onClick: function onClick(e) {
    e.preventDefault();
  },
  icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "chat",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Horários',
  target: '_blank',
  url: 'https://www.google.com/',
  onClick: function onClick(e) {
    e.preventDefault();
  },
  icon: /*#__PURE__*/_react.default.createElement(_TakiIcon.TakiIcon, {
    svgSprite: _TakiIcons.default,
    name: "horario",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Minha Conta',
  target: '_blank',
  url: '#',
  onClick: function onClick(e) {
    e.preventDefault();
  },
  icon: /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
    name: "BsGear",
    color: "inherit",
    size: "19px"
  })
}];
Default.args = {
  listItens: Itens
};
//# sourceMappingURL=index.stories.js.map