import React from 'react';
import './StepProgressBar.scss';
export interface StepItens {
    label: string;
    icon: React.ReactElement;
    isActive: boolean;
}
export interface StepProgressBarProps {
    percent: number;
    iconCheck: React.ReactElement;
    iconUncheck: React.ReactElement;
    steps: StepItens[];
}
/**
 * Step Progress Bar Component
 */
export declare const StepProgressBar: React.FC<StepProgressBarProps>;
