(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "./AsyncSelectBox"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("./AsyncSelectBox"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.AsyncSelectBox);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _AsyncSelectBox) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Default = undefined;

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = {
    title: 'Components/AsyncSelectbox',
    component: _AsyncSelectBox.AsyncSelectBox
  };

  const Template = args => /*#__PURE__*/_react2.default.createElement(_AsyncSelectBox.AsyncSelectBox, args);

  const Default = exports.Default = Template.bind({});
  const options = [{
    label: 'Todos',
    value: 'Todos'
  }, {
    label: 'Em Andamento',
    value: 'Em Andamento'
  }, {
    label: 'Saiu para Entrega',
    value: 'Saiu para Entrega'
  }, {
    label: 'Recusado pela Loja',
    value: 'Recusado pela Loja'
  }, {
    label: 'Cancelado',
    value: 'Cancelado'
  }, {
    label: 'Agendado',
    value: 'Agendado'
  }, {
    label: 'Entregue',
    value: 'Entregue'
  }];
  Default.args = {
    title: 'Status'
  };
});
//# sourceMappingURL=index.stories.js.map