(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "./Dropdown"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("./Dropdown"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.Dropdown);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _Dropdown) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Default = undefined;

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = {
    title: 'Components/Dropdown',
    component: _Dropdown.Dropdown
  };
  const itens = [{
    id: 1,
    title: 'Informações Pessoais',
    url: 'https://takiapp.com.br/',
    target: '_blank',
    iconName: 'BsPerson'
  }, {
    id: 2,
    title: 'Minha Conta',
    url: 'https://www.google.com/',
    target: '_blank',
    iconName: 'BsGear'
  }, {
    id: 3,
    title: 'Ajuda',
    target: '_blank',
    url: 'https://www.google.com/',
    iconName: 'BsQuestionCircle'
  }, {
    id: 4,
    title: 'Sair',
    target: '_blank',
    url: 'https://www.google.com/',
    iconName: 'BsBoxArrowRight'
  }];

  const Template = args => /*#__PURE__*/_react2.default.createElement(_Dropdown.Dropdown, args);

  const Default = exports.Default = Template.bind({});
  Default.args = {
    userDisplayName: 'Cheff Restaurante',
    userAvatarImg: 'https://randomuser.me/api/portraits/men/36.jpg',
    itensList: itens,
    isActive: false
  };
});
//# sourceMappingURL=index.stories.js.map