(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "./Icon"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("./Icon"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.Icon);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _Icon) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Default = undefined;

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = {
    title: 'Components/Icon',
    component: _Icon.Icon,
    argTypes: {
      color: {
        control: 'color'
      }
    }
  };

  const Template = args => /*#__PURE__*/_react2.default.createElement(_Icon.Icon, args);

  const Default = exports.Default = Template.bind({});
  Default.args = {
    name: 'BsFillGearFill'
  };
});
//# sourceMappingURL=index.stories.js.map