(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "./NotificationModal", "./modalImage.jpg"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("./NotificationModal"), require("./modalImage.jpg"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.NotificationModal, global.modalImage);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _NotificationModal, _modalImage) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Default = undefined;

  var _react2 = _interopRequireDefault(_react);

  var _modalImage2 = _interopRequireDefault(_modalImage);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = {
    title: 'Components/Notification Modal',
    component: _NotificationModal.NotificationModal
  };

  const Template = args => /*#__PURE__*/_react2.default.createElement(_NotificationModal.NotificationModal, args);

  const Default = exports.Default = Template.bind({});
  Default.args = {
    image: _modalImage2.default,
    message: 'Esqueceu sua senha? A gente te ajuda!',
    visible: true
  };
});
//# sourceMappingURL=index.stories.js.map