(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "./StepProgressBar", "../TakiIcon/TakiIcon", "../TakiIcon/TakiIcons.svg"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("./StepProgressBar"), require("../TakiIcon/TakiIcon"), require("../TakiIcon/TakiIcons.svg"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.StepProgressBar, global.TakiIcon, global.TakiIcons);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _StepProgressBar, _TakiIcon, _TakiIcons) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Default = undefined;

  var _react2 = _interopRequireDefault(_react);

  var _TakiIcons2 = _interopRequireDefault(_TakiIcons);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = {
    title: 'Components/Step Progress Bar',
    component: _StepProgressBar.StepProgressBar
  };

  const Template = args => /*#__PURE__*/_react2.default.createElement(_StepProgressBar.StepProgressBar, args);

  const Default = exports.Default = Template.bind({});
  const steps = [{
    label: 'Saiu para a entrega',
    icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "produtos",
      color: "inherit",
      size: "25px"
    }),
    isActive: true
  }, {
    label: 'A caminho',
    icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "delivery",
      color: "inherit",
      size: "25px"
    }),
    isActive: true
  }, {
    label: 'Entregue',
    icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "entregue",
      color: "inherit",
      size: "25px"
    }),
    isActive: false
  }];
  Default.args = {
    percent: 80,
    iconCheck: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "check",
      color: "inherit",
      size: "25px"
    }),
    iconUncheck: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "uncheck",
      color: "inherit",
      size: "25px"
    }),
    steps
  };
});
//# sourceMappingURL=index.stories.js.map