(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "./TakiIcon", "./TakiIcons.svg"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("./TakiIcon"), require("./TakiIcons.svg"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.TakiIcon, global.TakiIcons);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _TakiIcon, _TakiIcons) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Default = undefined;

  var _react2 = _interopRequireDefault(_react);

  var _TakiIcons2 = _interopRequireDefault(_TakiIcons);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = {
    title: 'Components/TakiIcon',
    component: _TakiIcon.TakiIcon,
    argTypes: {
      color: {
        control: 'color'
      }
    }
  };

  const Template = args => /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, args);

  const Default = exports.Default = Template.bind({});
  Default.args = {
    svgSprite: _TakiIcons2.default,
    name: 'aplicativo',
    color: '#000'
  };
});
//# sourceMappingURL=index.stories.js.map