(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "./TextArea"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("./TextArea"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.TextArea);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _TextArea) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.TextAreaError = exports.TextAreaSuccess = exports.Default = undefined;

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = {
    title: 'Components/TextArea',
    component: _TextArea.TextArea
  };

  const Template = args => /*#__PURE__*/_react2.default.createElement(_TextArea.TextArea, args);

  const Default = exports.Default = Template.bind({});
  Default.args = {
    label: 'Label do textarea ',
    placeholder: 'Agora com placeholder'
  };
  const TextAreaSuccess = exports.TextAreaSuccess = Template.bind({});
  TextAreaSuccess.args = {
    success: true
  };
  const TextAreaError = exports.TextAreaError = Template.bind({});
  TextAreaError.args = {
    error: true
  };
});
//# sourceMappingURL=index.stories.js.map