(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports);
    global.undefined = mod.exports;
  }
})(this, function (exports) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  const Colors = {
    primary: '#FFACC5',
    secondary: '#FF90B2',
    danger: 'rgba(255, 85, 74, 0.86)',
    success: 'rgba(132, 193, 77, 0.85)',
    alert: 'rgba(255, 88, 13, 0.76)',
    black: '#495057',
    darkGray: '#B8B8B8',
    gray: '#C4C4C4',
    lightGray: '#E9ECEF',
    white: '#FFFFFF'
  };
  exports.default = Colors;
});
//# sourceMappingURL=Colors.js.map